Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.access.support
Class DataCollectionMultyChoicePropertyEditor

    java.lang.Object
      java.beans.PropertyEditorSupport
          com.beanexplorer.editors.CustomEditorSupport
              ru.biosoft.access.support.DataCollectionMultyChoicePropertyEditor

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener, java.beans.PropertyEditor, com.beanexplorer.editors.PropertyEditorEx

Direct Known Subclasses:
  ReferrerBeanInfo.LiteratureReferencesEditor

public abstract class DataCollectionMultyChoicePropertyEditor
extends com.beanexplorer.editors.CustomEditorSupport

Field Summary
`protected java.lang.String` | `title`

Fields inherited from class com.beanexplorer.editors.CustomEditorSupport
`bean, descriptor`

Constructor Summary
`DataCollectionMultyChoicePropertyEditor()`

Method Summary
`java.awt.Component` | `getCustomEditor(java.awt.Component parent, boolean isSelected)`
`java.awt.Component` | `getCustomRenderer(java.awt.Component parent, boolean isSelected, boolean hasFocus)`
`abstract DataCollection` | `getDataCollection()` Should return the DataCollection containing possible values.

Methods inherited from class com.beanexplorer.editors.CustomEditorSupport
`actionPerformed, getBean, getDescriptor, isPaintable, processValue, setBean, setColor, setDescriptor, supportsCustomEditor`

Methods inherited from class java.beans.PropertyEditorSupport
`addPropertyChangeListener, firePropertyChange, getAsText, getCustomEditor, getJavaInitializationString, getTags, getValue, paintValue, removePropertyChangeListener, setAsText, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.beans.PropertyEditor
`addPropertyChangeListener, getAsText, getCustomEditor, getJavaInitializationString, getTags, getValue, paintValue, removePropertyChangeListener, setAsText, setValue`

Field Detail

### title

    protected java.lang.String title

Constructor Detail

### DataCollectionMultyChoicePropertyEditor

    public DataCollectionMultyChoicePropertyEditor()

Method Detail

### getDataCollection

    public abstract DataCollection getDataCollection()
                                              throws java.lang.Exception

  Should return the DataCollection containing possible values.

  Throws:
    `java.lang.Exception`

### getCustomRenderer

    public java.awt.Component getCustomRenderer(java.awt.Component parent,
                                                boolean isSelected,
                                                boolean hasFocus)

### getCustomEditor

    public java.awt.Component getCustomEditor(java.awt.Component parent,
                                              boolean isSelected)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.